com.holonplatform.datastore.mongo.core.resolver

## Interface BsonExpressionResolver<E extends com.holonplatform.core.Expression>

- Type Parameters:
    `E` - Expression type to resolve
  All Superinterfaces:
    com.holonplatform.core.Expression.ExpressionResolverFunction<E,BsonExpression>, com.holonplatform.core.ExpressionResolver<E,BsonExpression>, MongoExpressionResolver<E,BsonExpression>, Serializable

      public interface BsonExpressionResolver<E extends com.holonplatform.core.Expression>
      extends MongoExpressionResolver<E,BsonExpression>

  A `MongoExpressionResolver` to resolve an expression into a `BsonExpression`.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.ExpressionResolver

      `com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<C extends com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<C>>, com.holonplatform.core.ExpressionResolver.ExpressionResolverHandler, com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, com.holonplatform.core.ExpressionResolver.ResolutionContext`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.ExpressionResolver

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Class<? extends BsonExpression>` | `getResolvedType()`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.resolver.MongoExpressionResolver

      `getDefaultResolvers, resolve, resolve`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver

      `create, getExpressionType`

- - ### Method Detail

    - #### getResolvedType

          default Class<? extends BsonExpression> getResolvedType()

      Specified by:
        `getResolvedType` in interface `com.holonplatform.core.ExpressionResolver<E extends com.holonplatform.core.Expression,BsonExpression>`

Copyright © 2019 The Holon Platform. All rights reserved.